package me.Demon.DemonNeverLag.listener;

import me.Demon.DemonNeverLag.util.Config;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockFromToEvent;

public class FluidLimit implements Listener {

    // 最多可流动多远
    private final int water_flow = 8;
    private final int lava_flow = 3;

    @EventHandler(priority = EventPriority.LOW, ignoreCancelled = true)
    public void onBlockFromToEvent(BlockFromToEvent e) {
        if (Config.FluidLimit) {
            Material material = e.getBlock().getType();
            Location loc = e.getToBlock().getLocation();
            // 检测流方块是否是水
            if (material == Material.WATER || material == Material.STATIONARY_WATER) {
                // 若水从135格以上的位置出现 并来到了Y135将拦截
                if (loc.getY() >= 0 && loc.getY() <= 135) {
                    if (e.getBlock().getData() >= this.water_flow) {
                        e.setCancelled(true);
                    }
                }
            } else if (material == Material.LAVA || material == Material.STATIONARY_LAVA) {
                if (loc.getY() >= 0 && loc.getY() <= 135) {
                    if (e.getBlock().getData() >= this.lava_flow) {
                        e.setCancelled(true);
                    }
                }
            }
        }
    }
}
